
package de.ivu.elect.presentation.entschaedigung.exchange;

import de.ivu.elect.business.exchange.entity.DateiImportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.exchange.ImportOptions;
import de.ivu.elect.presentation.entschaedigung.menu.EntschaedigungPageMenu;
import de.ivu.elect.presentation.exchange.ImportDescription;

public class EntschaedigungsartImportDescription implements ImportDescription {

  private static final long serialVersionUID = 1L;

  public EntschaedigungsartImportDescription() {
    super();
  }

  @Override
  public String getImportSearchViewId() {
    return EntschaedigungsartImportSearchView.VIEW_ID;
  }

  @Override
  public String getImportFormatFestlegenViewId() {
    return EntschaedigungsartImportFormatFestlegenView.VIEW_ID;
  }

  @Override
  public String getImportBestaetigenViewId() {
    return EntschaedigungsartImportBestaetigenView.VIEW_ID;
  }

  @Override
  public DateiImportArt getDateiImportArt() {
    return DateiImportArt.ENTSCHAEDIGUNGSART_IMPORT;
  }

  @Override
  public boolean isConfirmationForImportNeeded() {
    return false;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.ENTSCHAEDIGUNGSART_IMPORTIEREN;
  }

  @Override
  public boolean isSpecificPerWahlOrWahltermin() {
    return true;
  }

  @Override
  public String getPageMenuComponentName() {
    return EntschaedigungPageMenu.COMPONENT_NAME;
  }

  @Override
  public ImportOptions getDefaultImportOptions() {
    return ImportOptions.NEUE_DATEN_ANLEGEN_BESTEHENDE_DATEN_AKTUALISIEREN;
  }
}
